[![Gem Version](https://badge.fury.io/rb/saaskit.svg)](https://badge.fury.io/rb/saaskit)

# SaaSKit

SaaSKit is the Rails SaaS starter kit for building your SaaS business.

## Requirements

- ruby 2.5 or higher
- Rails 6.0.0.rc1 or higher

## Installation

Using rails template

```bash
rails new appname --database=postgresql -m https://link.saaskitapp.com/rqp
```

or add this line to your application's Gemfile

```ruby
gem "saaskit"
```

And then execute:

```bash
bundle install
bundle exec rails generate saaskit:install
```

## Usage

Before you start rails server, Please config your secret credential and use the sample template located in
`config/credentials.yml.sample` as the starting point.

```yaml
# config/credentials.yml.sample

# Mailing list subscription
# -------------------------
# MailChimp
# Get API Key: mailchimp admin dashboard > profile dropdown > account > extras dropdown > API keys
# Get Audience ID: mailchimp admin dashboard > audience > manage audience > settings > Unique id for audience xxx

mailchimp:
  api_key: your_api_key
  audience_id: your_audience_id
```

For development environment:
```bash
EDITOR=vim rails credentials:edit --environment development
```

For test environment:
```bash
EDITOR=vim rails credentials:edit --environment test
```

For production environment:
```bash
EDITOR=vim rails credentials:edit
```

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake test` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/tgavhq/saaskit. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.

## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).

## Code of Conduct

Everyone interacting in the Saaskit project’s codebases, issue trackers, chat rooms and mailing lists is expected to follow the [code of conduct](https://github.com/tgavhq/saaskit/blob/master/CODE_OF_CONDUCT.md).
